---
title: "Get the list of CRM contacts"
url: "https://docs.signnow.com/docs/contacts/operations/get-v2-crm-contacts"
type: "endpoint"
section: "contacts"
slug: "contacts/operations/get-v2-crm-contacts"
method: "GET"
path: "/v2/crm/contacts"
operation_id: "get-v2-crm-contacts"
authorization: "bearer"
---

# Get the list of CRM contacts

`GET /v2/crm/contacts`

Retrieve the list of your CRM contacts.

## Authorization

bearer

## Query Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `sort` | string | No | Default value: `sort[last_interaction_at] = 'desc'`. Allowed values: `asc` - ascending order.; `desc` - descending order. |
| `filters: owners` | string | No | Format: `filters=[{"owners":{"type":"IN","value":["e6XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"]}}] |
| `filters: shared with me` | string | No | Format: `filters=[{"shared_with_me":{"type":"=","value":"true"}}]` |
| `filters: combined filter with `OR` for `email`, `first_name`, `last_name`, and `full_name`` | string | No | Format: `filters=[{"_OR":[{"email":{"type":"like","value":"%value%"}},{"first_name":{"type":"like","value":"%value%"}},{"last_name":{"type":"like","value":"%value%"}},{"full_name":{"type":"like","value":"%value%"}}]}]` |
| `filters: combined filter with `OR`` | string | No | Format: `filters=[{"_OR":[{"interaction":{"type":">","value":1652965774}},{"company":{"type":"=","value":"The best company"}}]}]` |
| `filters: combined filter` | string | No | Format: `filters=[{"interaction":{"type":">","value":1652918152}, "company":{"type":"=","value":"Best company"}}]` |
| `filters: interaction before` | string | No | Format: `filters=[{"interaction":{"type":"<","value":1652918152}}]` |
| `filters: interaction after` | string | No | Format: `filters=[{"interaction":{"type":">","value":1652918152}}]` |
| `filters: not company` | string | No | Format: `filters=[{"company":{"type":"!=","value":"the best company"}}]` |
| `filters: company` | string | No | Format: `filters=[{"company":{"type":"=","value":"The best company"}}]` |
| `filters: full_name` | string | No | Format: `filters=[{"full_name":{"type":"like","value":"value"}}]` |
| `filters: last_name` | string | No | Format: `filters=[{"last_name":{"type":"like","value":"value"}}]` |
| `filters: first_name` | string | No | Format: `filters=[{"first_name":{"type":"like","value":"value"}}]` |
| `filters: email` | string | No | Format: `filters=[{"email":{"type":"=","value":"crm@email.com"}}]` |
| `per_page` | integer | No | How many search items to view per page. Allowed values: positive integers from 1 to 100. |
| `page` | integer | No | How many pages to fit the results in. Allowed values: any positive integer starting from 1. |

## Responses

### 200

OK

**Example** (`Successfull response`)

```json
{
  "data": [
    {
      "id": "8fXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "meta": {
        "created_at": 1649926419,
        "updated_at": 1649926419,
        "interacted_at": 1649926419
      },
      "email": "crm@example.com",
      "phone": {
        "number": "1234567890",
        "country_code": "US"
      },
      "address": {
        "city": "New York",
        "state": "New York",
        "street": "5 Avenue",
        "country": "US",
        "zip_code": "0",
        "apartment": "Penthouse"
      },
      "company": {
        "name": "Sample name",
        "job_title": "PHP Developer"
      },
      "last_name": "Doe",
      "first_name": "John",
      "description": "Best client"
    }
  ],
  "meta": {
    "pagination": {
      "count": 10,
      "links": {
        "next": "https://example.com/v2/crm/contacts?per_page=10&page=3",
        "previous": "https://example.com/v2/crm/contacts?per_page=10&page=1"
      },
      "total": 50,
      "per_page": 15,
      "total_pages": 5,
      "current_page": 2
    }
  }
}
```

### 400

* Request with any of cases: invalid token, expired token, empty header, authorization = null, authorization without value
* Request with incorrect per_page parameter type
* Request with incorrect per_page parameter value
* Request with incorrect per_page parameter value 2
* Request with incorrect page parameter type
* Request with incorrect page parameter value
* Request without filter parameters value or type
* Request with invalid type of filter parameter type
* Request with invalid expression of email filter parameter type
* Request with invalid type of email filter parameter value
* Request with invalid expression of first_name filter parameter type
* Request with invalid type of first_name filter parameter value
* Request with invalid expression of last_name filter parameter type
* Request with invalid type of last_name filter parameter value
* Request with invalid expression of full_name filter parameter type
* Request with invalid type of full_name filter parameter value
* Request with invalid expression of company filter parameter type
* Request with invalid type of company filter parameter value
* Request with invalid expression of interaction filter parameter type
* Request with invalid type of interaction filter parameter value
* Request with invalid filter format
* Request with invalid sort value
* Request with invalid sort direction value
* Request with invalid sort format
* Request with invalid sort format 2
* Request with invalid expression of shared_with_me filter parameter type
* Request with invalid type of shared_with_me filter parameter type
* Request with invalid type of shared_with_me filter parameter value
* Request with invalid expression of owners filter parameter type
* Request with invalid type of owners filter parameter type
* Request with invalid type of owners filter parameter value

**Example** (`Invalid sort value`)

```json
{
  "code": 27400906,
  "message": "The `sort` key must be one of the following values:` created_at`, `full_name`, `company_name`, `email`, `last_interaction_at`"
}
```

**Example** (`Invalid sort format`)

```json
{
  "code": 0,
  "message": "Expected array, but got {{ type }}: {{ value }}"
}
```

**Example** (`Authorization issues`)

```json
{
  "code": 1537,
  "message": "invalid_token"
}
```

**Example** (`Invalid filter format`)

```json
{
  "code": 0,
  "message": "Wrong filters format."
}
```

**Example** (`Invalid sort format 2`)

```json
{
  "code": 27400908,
  "message": "The `sort` must contain only one field for sorting"
}
```

**Example** (`Invalid sort direction value`)

```json
{
  "code": 27400907,
  "message": "The `sort` value must be one of the following values: `asc, desc`"
}
```

**Example** (`Incorrect `page` parameter type`)

```json
{
  "code": 27400904,
  "message": "Query parameter `page` must be a digit"
}
```

**Example** (`Incorrect `page` parameter value`)

```json
{
  "code": 27400905,
  "message": "Query parameter `page` must be more than 0"
}
```

**Example** (`Invalid type of email filter value`)

```json
{
  "code": 27400054,
  "message": "The `email` filter value should be of type string"
}
```

**Example** (`Invalid type of owners filter type`)

```json
{
  "code": 274001152,
  "message": "The `owners` filter value should be of type string"
}
```

**Example** (`Incorrect `per_page` parameter type`)

```json
{
  "code": 27400901,
  "message": "Query parameter `per_page` must be a digit"
}
```

**Example** (`Invalid expression of email filter `)

```json
{
  "code": 27400053,
  "message": "The `email` filter expression should be `=` or `like`"
}
```

**Example** (`Invalid type of owners filter value`)

```json
{
  "code": 27400153,
  "message": "The `owners` contains invalid unique_id (\"123\")"
}
```

**Example** (`Incorrect `per_page` parameter value`)

```json
{
  "code": 27400902,
  "message": "Query parameter `per_page` must be more than 0"
}
```

**Example** (`Invalid type of company filter value`)

```json
{
  "code": 27400062,
  "message": "The `company` filter value should be of type string"
}
```

**Example** (`Incorrect `per_page` parameter value 2`)

```json
{
  "code": 27400903,
  "message": "Query parameter `per_page` must be less than or equal 100"
}
```

**Example** (`Invalid type of full_name filter value`)

```json
{
  "code": 27400060,
  "message": "The `full_name` filter value should be of type string"
}
```

**Example** (`Invalid type of last_name filter value`)

```json
{
  "code": 27400058,
  "message": "The `last_name` filter value should be of type string"
}
```

**Example** (`Invalid data type of the `type` filter `)

```json
{
  "code": 27400052,
  "message": "Invalid filter format, filter `type` should be string"
}
```

**Example** (`Invalid type of first_name filter value`)

```json
{
  "code": 27400056,
  "message": "The `first_name` filter value should be of type string"
}
```

**Example** (`Invalid expression of first_name filter `)

```json
{
  "code": 27400055,
  "message": "The `first_name` filter expression should be equal to `like`"
}
```

**Example** (`Invalid expression of owners filter type`)

```json
{
  "code": 27400151,
  "message": "The `owners` filter expression should be `in`"
}
```

**Example** (`Invalid type of interaction filter value`)

```json
{
  "code": 27400064,
  "message": "The `interaction` filter value should be of type integer and contain not more than 10 characters"
}
```

**Example** (`Invalid expression of company filter type`)

```json
{
  "code": 27400061,
  "message": "The `company` filter expression should be one of `=`, `!=`, `like"
}
```

**Example** (`Invalid type of shared_with_me filter type`)

```json
{
  "code": 27400066,
  "message": "The `shared_with_me` filter value should be of type string"
}
```

**Example** (`Invalid expression of full_name filter type`)

```json
{
  "code": 27400059,
  "message": "The `full_name` filter expression should be equal to `like`"
}
```

**Example** (`Invalid expression of last_name filter type`)

```json
{
  "code": 27400057,
  "message": "The `last_name` filter expression should be equal to `like`"
}
```

**Example** (`Invalid type of shared_with_me filter value`)

```json
{
  "code": 27400067,
  "message": "The `shared_with_me` filter value should be `true` or `false`"
}
```

**Example** (`Invalid expression of interaction filter type`)

```json
{
  "code": 27400063,
  "message": "The `interaction` filter expression should be `<` or `>`"
}
```

**Example** (`Request without filter parameters value or type`)

```json
{
  "code": 27400051,
  "message": "Invalid filter format, filter must have `type` and `value` fields"
}
```

**Example** (`Invalid expression of shared_with_me filter type`)

```json
{
  "code": 27400065,
  "message": "The `shared_with_me` filter expression should be `=`"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/crm/contacts" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/contacts/operations/get-v2-crm-contacts*
